com.sun.source.tree

## Interface BlockTree

- All Superinterfaces:
    StatementTree, Tree

      public interface BlockTree
      extends StatementTree

  A tree node for a statement block. For example:

         { }

         { statements }

         static { statements }

  Since:
    1.6
  See The Java™ Language Specification:
    section 14.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<? extends StatementTree>` | `getStatements()`
    `boolean` | `isStatic()`

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### isStatic

          boolean isStatic()

    - #### getStatements

          List<? extends StatementTree> getStatements()

Copyright © 2005, 2017, Oracle and/or its affiliates. All rights reserved.